Subject: RE: DSO/DLL Apache Using Cygwin
From: "Kevin Wright" <[email-masked]>
To: "Stipe Tolj" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 16 Mar 2001 15:56:03 -0800

Stipe,

Here's what I did to make Apache 1.3.19 run on Cygwin:

I first applied your patch (thanks very much). Then I changed 
the Makefile to use install instead of install.sh: 

  #INSTALL         = $(TOP)/$(AUX)/install.sh -c
  INSTALL		= install -c

I had to manually copy the libhttpd.dll to /usr/local/apache/bin.
In httpd.conf, I also changed nobody to my username and the 
group to my group name:

  User kwright
  Group Administrators

(I suppose I should have created a user called nobody but I haven't 
tried that)

In addition, because our company doesn't do reverse dns lookup, 
I added my ip address for Listen:

  Listen 10.100.7.34:80

Finally, I added /usr/local/apache/bin to my path.

So here's the output of starting the server:

  kwright@HOLSTEIN-MOBILE ~
  $ apachectl start
  /usr/local/apache/bin/apachectl start: httpd started

HTH,

--Kevin

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple